## mtn 3.4.2

=== src/Makefile ===
#CFLAGS=-W -Wall -O3 -s -D_FILE_OFFSET_BITS=64 -mtune=i686 -march=i386 -I/home/tuitfun/include -L/home/tuitfun/lib
#CFLAGS=-W -Wall `pkg-config --cflags libavformat`

# The DESTDIR is macro is used for staged builds, so that it gets installed
# under a fake root directory for the sake of packaging. Unlike PREFIX, it will
# not actually be run from this directory.
#DESTDIR - reserved for rpmbuild

# According to a convention, PREFIX macro is the prefix of instalation.
PREFIX = /usr/local

KERNELNAME=$(shell uname -s)
OSNAME=$(shell uname -o)
CFLAGS=-W -Wall -O3 $(USER_CFLAGS)
OUT=../bin
LIBSDIR=../lib

ifeq ($(KERNELNAME),FreeBSD)
LIBS+=-L/usr/local/lib
INCPATH+=-I/usr/local/include
endif

ifeq ($(KERNELNAME),Linux)
INCPATH=-I/usr/include/ffmpeg
endif

ifeq ($(OSNAME),Msys)
LIBS=-L/mingw64/lib
INCPATH=-I/mingw64/include
CFLAGS=-W
endif

LIBS+=-lavcodec -lavformat -lavcodec -lswscale -lavutil -lgd -lm
S_INCPATH=-I$(LIBSDIR)/FFmpeg -I$(LIBSDIR)/libgd/src
S_LIBS= -static-libgcc -static \
	$(LIBSDIR)/FFmpeg/libavformat/libavformat.a \
	$(LIBSDIR)/FFmpeg/libavcodec/libavcodec.a \
	$(LIBSDIR)/FFmpeg/libswscale/libswscale.a \
	$(LIBSDIR)/FFmpeg/libavutil/libavutil.a \
	$(LIBSDIR)/libgd/Bin/libgd.a \
	-lpthread -lbz2 -lfreetype -ljpeg -lpng16 -lz -lm

mtn: mtn.c outdir
	$(CC) -o $(OUT)/mtn mtn.c $(INCPATH) $(CFLAGS) $(LIBS)

outdir:
	mkdir -p $(OUT)

static: mtn.c outdir
	$(CC) -o $(OUT)/mtn mtn.c $(S_INCPATH) $(CFLAGS) $(S_LIBS) -DMTN_STATIC

debug: mtn.c outdir
	$(CC) -o $(OUT)/mtn mtn.c $(INCPATH) $(CFLAGS) -W -Wall -g -DDEBUG $(LIBS)

clean:
	rm -f $(OUT)/mtn

distclean:
	rm -rf $(OUT)

rebuild:  clean mtn
rebuild_static: clean static

test_bin:
	$(OUT)/mtn -f ../test/font.ttf -h 50 -O /tmp /home/sample.avi
	test -s /tmp/sample_s.jpg

test:  rebuild  mtn  test_bin
static_test: rebuild_static static test_bin

install: mtn
	mkdir -p $(DESTDIR)$(PREFIX)/bin/
	install -m 755 $(OUT)/mtn $(DESTDIR)$(PREFIX)/bin/
	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/mtn
	cp -Rp ../doc/* $(DESTDIR)$(PREFIX)/share/doc/mtn
	cp -p ../LICENSE $(DESTDIR)$(PREFIX)/share/doc/mtn
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
	cp -p ../man/mtn.1 $(DESTDIR)$(PREFIX)/share/man/man1/

uninstall:
	rm -f  $(DESTDIR)$(PREFIX)/share/man/man1/mtn.1
	rm -f  $(DESTDIR)$(PREFIX)/bin/mtn
	rm -rf $(DESTDIR)$(PREFIX)/share/doc/mtn

=== debian/changelog ===
mtn (3.4.2-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 03 Aug 2023 09:22:57 -0700

mtn (3.4.2-1) unstable; urgency=medium

  * Update to new version

 -- wahibre <wahibre@gmx.com>  Mon, 14 Feb 2021 12:00:00 +0100

=== debian/control ===
Source: mtn
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: wahibre <wahibre@gmx.com>
Build-Depends: debhelper(>=10),
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libgd-dev,
               libswscale-dev
Standards-Version: 4.1.2
Homepage: https://gitlab.com/movie_thumbnailer/mtn/wikis
Vcs-Bzr: lp:wahibre/mtn
Vcs-Browser: https://launchpad.net/~wahibre/+archive/ubuntu/mtn

Package: mtn
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: mtn-bash-completion, mtn-zsh-completion
Description: Movie Thumbnailer - CLI movie screenshot generator
 Movie Thumbnailer (mtn) saves thumbnails (screenshots) of movie or
 video files to jpeg files. It uses FFmpeg's libavcodec as its engine,
 so it supports all popular codecs.

Package: mtn-bash-completion
Architecture: any
Depends: bash-completion, fontconfig, mtn (>=3.4.0)
Description: bash completion for Movie Thumbnailer - screens generator
 This package contains file for bash competions.

Package: mtn-zsh-completion
Architecture: any
Depends: fontconfig, mtn (>=3.4.0), zsh-common
Description: zsh completion for Movie Thumbnailer - screens generator
 This package contains file for zsh competions.
